Bug 211388 - [exp-run] graphics/poppler (and slaves ports): Update to 0.46.0
Summary: [exp-run] graphics/poppler (and slaves ports): Update to 0.46.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-07-26 17:22 UTC by Olivier Duchateau
Modified: 2016-09-06 17:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
olivierd: exp-run?


Attachments
Patch to update graphics/poppler (5.18 KB, patch)
2016-07-26 17:22 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Antoine Brodin freebsd_committer 2016-09-03 05:28:27 UTC
Exp-run looks fine,  no new failure.
Comment 2 commit-hook freebsd_committer 2016-09-05 19:20:37 UTC
A commit references this bug:

Author: olivierd
Date: Mon Sep  5 19:19:35 UTC 2016
New revision: 421386
URL: https://svnweb.freebsd.org/changeset/ports/421386

Log:
  - Update to 0.46.0
  - Replace CPPFLAGS and LDFLAGS by USES= localbase

  PR:		211388
  Submitted by:	myself
  Approved by:	The GNOME team (timeout)
  Exp-run by:	antoine@

Changes:
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler/files/patch-utils_Makefile.in
  head/graphics/poppler/pkg-plist
  head/graphics/poppler-glib/pkg-plist
  head/graphics/poppler-qt4/pkg-plist
  head/graphics/poppler-qt5/pkg-plist
Comment 3 rozhuk.im 2016-09-05 20:00:41 UTC
Build fail:

....

../goo/GooString.h:181:13: warning: private field 's' is not used [-Wunused-private-field]
      char* s;
            ^
4 warnings generated.
  CXX      libpoppler_la-SignatureHandler.lo
In file included from SignatureHandler.cc:16:
In file included from ./SignatureHandler.h:16:
../goo/GooString.h:179:12: warning: private field 'c' is not used [-Wunused-private-field]
      char c[sizeof(char*)];
           ^
../goo/GooString.h:180:11: warning: private field 'i' is not used [-Wunused-private-field]
      int i;
          ^
../goo/GooString.h:181:13: warning: private field 's' is not used [-Wunused-private-field]
      char* s;
            ^
3 warnings generated.
  CXX      libpoppler_la-JPEG2000Stream.lo
JPEG2000Stream.cc:20:10: fatal error: 'openjpeg.h' file not found
#include <openjpeg.h>
         ^
1 error generated.
gmake[5]: *** [Makefile:1128: libpoppler_la-JPEG2000Stream.lo] Error 1
gmake[5]: *** Waiting for unfinished jobs....
4 warnings generated.
gmake[5]: Leaving directory '/tmp/ports/usr/ports/graphics/poppler/work/poppler-0.46.0/poppler'
gmake[4]: *** [Makefile:863: all] Error 2
gmake[4]: Leaving directory '/tmp/ports/usr/ports/graphics/poppler/work/poppler-0.46.0/poppler'
gmake[3]: *** [Makefile:653: all-recursive] Error 1
gmake[3]: Leaving directory '/tmp/ports/usr/ports/graphics/poppler/work/poppler-0.46.0'
gmake[2]: *** [Makefile:536: all] Error 2
gmake[2]: Leaving directory '/tmp/ports/usr/ports/graphics/poppler/work/poppler-0.46.0'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/graphics/poppler
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/poppler

===>>> make build failed for graphics/poppler
===>>> Aborting update

===>>> Update for graphics/poppler failed
===>>> Aborting update



pkg version -vI | grep jpeg
jpeg-turbo-1.4.2                   =   up-to-date with index
openjpeg-2.1.1                     =   up-to-date with index
openjpeg15-1.5.2_1                 =   up-to-date with index
Comment 4 Olivier Duchateau freebsd_committer 2016-09-05 20:31:30 UTC
(In reply to rozhuk.im from comment #3)

I have just run new build on 11.0-RC2 and build is fine.

If you replace USES= localbase by

CPPFLAGS+=      -I${LOCALBASE}/include
LDFLAGS+=       -L${LOCALBASE}/lib

everything is ok?
Comment 5 rozhuk.im 2016-09-05 23:38:34 UTC
(In reply to Olivier Duchateau from comment #4)

Does not help.


PS:
# find /usr/local/include/ -name "openjpeg.h"
/usr/local/include/openjpeg-2.1/openjpeg.h
Comment 6 rozhuk.im 2016-09-05 23:56:14 UTC
Reinstalling graphics/openjpeg15 help. (with USES= localbase)
Sorry for noice/
Comment 7 Olivier Duchateau freebsd_committer 2016-09-06 17:09:45 UTC
(In reply to rozhuk.im from comment #6)

Poppler is only build against openjpeg15, not openjpeg (2.1.1).